aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Helmert III <ajak@gentoo.org>2024-09-14 14:03:43 -0700
committerJohn Helmert III <ajak@gentoo.org>2024-09-14 14:07:29 -0700
commit875161326086769315e7ff576e62b6768290cfc0 (patch)
tree4950bc02f033aa4757352f7bf1e966bf69297536 /build.sh
parentactions: roll forward actions versions (diff)
downloaddocker-images-875161326086769315e7ff576e62b6768290cfc0.tar.gz
docker-images-875161326086769315e7ff576e62b6768290cfc0.tar.bz2
docker-images-875161326086769315e7ff576e62b6768290cfc0.zip
set -e in build scripts
We're hitting cases where errors happen and the script proceeds, making it harder to pinpoint errors. Signed-off-by: John Helmert III <ajak@gentoo.org>
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 0687c46..0fabd00 100755
--- a/build.sh
+++ b/build.sh
@@ -1,9 +1,11 @@
#!/bin/bash
-# Used to create Gentoo stage3 and portage containers simply by specifying a
+# Used to create Gentoo stage3 and portage containers simply by specifying a
# TARGET env variable.
# Example usage: TARGET=stage3-amd64 ./build.sh
+set -e
+
if [[ -z "$TARGET" ]]; then
echo "TARGET environment variable must be set e.g. TARGET=stage3-amd64-openrc."
exit 1